Description

Description of problem:

It is not possible to choose which provisioning template will be used for a hostgroup or a host directly from the host/hostgroup pages

and is solely determined by which OS is selected. If users wish to use different templates, they need to create different OS with

different templates selected. This leads to a situation where users have several operating systems that differ only in the templates

(CentOS7_web, CentOS7_db, ...)

It would be useful if we could override the default templates from OS for new host(group).

History

#1 - 06/11/2018 10:29 AM - Ondřej Pražák

- Subject changed from Override provisioning templates for host/hostgroup

 to Override provisioning templates for host/hostgroup

- Category changed from TFTP to Templates

#2 - 12/04/2018 11:01 AM - Aditi Puntambekar

In the BZ ticket, [[https://bugzilla.redhat.com/show_bug.cgi?id=1127604#c0]] it says "Although that also does not seem to be working always."

What could be the possible scenarios where this proposed feature would not work ?

#3 - 12/11/2018 06:51 AM - Ondřej Pražák

The whole paragraph says:

"Proposal is to define the provisioning template in the host/hostgroup provisioning tab.  With the default being populated after selecting the OS.

This makes it also consistent with selecting the provisioning template like it is on the OS configuration. Although that also does not seem to be

working always."

I think the reporter is referring to selecting the provisioning template in the OS configuration, which could suggest a bug, but no details are given. I did

not request additional information, because the BZ is about being able to configure templates directly for host/hostgroup.
